Name:		maven-common-artifact-filters
Version:	3.0.1
Release:	7
Summary:	Maven Common Artifact Filters
License:	Apache-2.0
URL:		https://maven.apache.org/shared/
Source0:	https://archive.apache.org/dist/maven/shared/%{name}-%{version}-source-release.zip

Patch0001:      0001-Remove-Maven-3.0-specific-code.patch

BuildArch:      noarch
BuildRequires:	maven-local junit maven-plugin-testing-harness maven-shared easymock 
BuildRequires:	maven-lib maven-resolver-api maven-resolver-util maven-shared-utils

Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description
A collection of ready-made filters to control inclusion/exclusion of artifacts
during dependency resolution.

%prep
%autosetup -n %{name}-%{version} -p1

%pom_remove_dep org.sonatype.sisu:
%pom_remove_dep org.sonatype.aether:
find -name SonatypeAether\*.java -delete

%build
export MAVEN_OPTS="-Xmx512m -XX:MaxPermSize=128m"
%mvn_build

%install
%mvn_install

%files
%defattr(-,root,root)
%doc NOTICE
%license LICENSE
%{_datadir}/java/*
%{_datadir}/javadoc/*
%{_datadir}/maven-poms/*
%{_datadir}/maven-metadata/*

%changelog
* Mon Jan 20 2020 lihao <lihao129@huawei.com> - 3.0.1-7
- Package init
